@import "../../../sass/imports";

.hd-panel {
    padding-top: 0px;

    .hd-panel-cap {
        background-color: $hd-blue-md;
        height: 25px;
    }

    .hd-panel-contents {
        padding-bottom: 0px;
        padding-top: 25px;

        ul {
            padding-left: 5px;
        }

        li {
            font-size: 16px;
            margin-left: 5px;
        }

        p {
            font-size: 16px;
        }

        .btn-answer {
            padding-top: 5px;
            padding-bottom: 10px;
        }

        .dont-care {
            font-color: #eee;
            font-weight: 100;
        }

        .explanation {
            margin-bottom: 5px;
            margin-top: 15px;
        }

        .field-pad {
            margin-top: 10px;
        }


        .importance-buttons {
          .importance-button {
              border: 1px solid #cccccc;
              cursor:pointer;
              height: 30px;
          }

        .importance-active:nth-of-type(1) {background-color:lighten($hd-orange, 15%)}
        .importance-active:nth-of-type(2) {background-color:$hd-orange}
        .importance-active:nth-of-type(3) {background-color:darken($hd-orange, 10%)}

        }

        .importance-button-label {
            margin-top: 5px;
            text-align: center;
        }

        .importance-dot {
            background-color: #ebebeb;
            border-radius: 50%;
            display: inline-block;
            margin: 0px 5px;
            height: 20px;
            width: 20px;

            @media only screen and (min-width: $screen-sm-min) {
                margin-top: 1.0em;
            }
        }

        .importance-dot-active {
            background-color: #00a4d3;
        }

        .importance-dot-section {
            @media only screen and (max-width: $screen-xs-max) {
                text-align: right;
            }
        }

        .importance-section {
            @media only screen and (min-width: $screen-sm-min) {
                text-align: center;
            }
        }

        .skip-question {
            height: 40px;
            padding-top: 10px;
            text-align: right;
        }

        .strike-through {
            text-decoration: line-through
        }

        label {
            font-size: 16px;
            font-weight: normal;
        }
    }
}
